#include <stdio.h>

using namespace std;

int main()
{
    char a, b;
    long long a1, b1, z;
    scanf("%c%c", &a, &b);
    scanf("%lld %lld", &a1, &b1);
    if(a1 > b1+1 || b1 > a1+1)
    {
        cout<<"nemoguce";
    }
    else
    {
        z = a1+b1;
        if(a1 > b1)
        {
            for(int i = 0;i < b1;i++)
            cout<<a<<b;
            cout<<a;
        }
        else
        {
            for(int i = 0; i < a1; i++)
                cout<<b<<a;
            if(b1 > a1)
                cout<<b;
            ;
        }
    }
}